package com.parallelcube.example2;

import android.support.v7.app.ActionBarActivity;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.widget.AdapterView;
import android.widget.ListView;
import android.widget.Toast;

import java.util.ArrayList;


public class MainActivity extends ActionBarActivity {

    private ListView _mainListView;
    private MyListViewAdapter _mainListViewAdapter;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        //Input list data
        ArrayList<MyListViewRow> _inputdata = new ArrayList<MyListViewRow>();
        MyListViewRow rowData;
        for (int i = 0; i < 20; ++i)
        {
            rowData = new MyListViewRow(i*3,"Element "+ Integer.toString(i), i*2);
            _inputdata.add(rowData);
        }

        //find list view
        _mainListView = (ListView) findViewById(R.id.mainLV);

        //create an adapter to listview and assign it
        _mainListViewAdapter = new MyListViewAdapter(_mainListView.getContext(), _inputdata);
        _mainListView.setAdapter(_mainListViewAdapter);

        //click listener example
        _mainListView.setOnItemClickListener(new AdapterView.OnItemClickListener()
        {
            @Override
            public void onItemClick(AdapterView<?> adapterView, View view, int position, long id)
            {
                MyListViewRow clickRowData = (MyListViewRow) _mainListView.getItemAtPosition(position);
                Toast.makeText(getApplicationContext(), Long.toString(clickRowData.get_id()) + "   " + clickRowData.get_name() + "   " + Integer.toString(clickRowData.get_amount()) , Toast.LENGTH_LONG).show();
            }
        });
    }


    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        // Inflate the menu; this adds items to the action bar if it is present.
        getMenuInflater().inflate(R.menu.main, menu);
        return true;
    }

    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
        // Handle action bar item clicks here. The action bar will
        // automatically handle clicks on the Home/Up button, so long
        // as you specify a parent activity in AndroidManifest.xml.
        int id = item.getItemId();
        if (id == R.id.action_settings) {
            return true;
        }
        return super.onOptionsItemSelected(item);
    }
}
