package com.parallelcube.example2;

import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.ImageView;
import android.widget.TextView;

import java.util.ArrayList;

public class MyListViewAdapter extends BaseAdapter
{

    static class ViewHolder
    {
        ImageView iconIV;
        TextView nameTV;
        TextView amountTV;
    }

    private LayoutInflater _inflater;
    private Context _context;
    private ArrayList<MyListViewRow> _values;

    public MyListViewAdapter(Context context, ArrayList<MyListViewRow> values)
    {
        _context = context;
        _values = values;

        _inflater = LayoutInflater.from(_context);
    }

    @Override
    public int getCount() {
        return _values.size();
    }

    @Override
    public Object getItem(int position) {
        return _values.get(position);
    }

    @Override
    public long getItemId(int position) {
        return _values.get(position).get_id();
    }

    @Override
    public View getView(int position, View convertView, ViewGroup parent)
    {
        ViewHolder holder;
        if (convertView == null)
        {
            convertView = _inflater.inflate(R.layout.listview_row, null);
            holder = new ViewHolder();
            holder.nameTV = (TextView) convertView.findViewById(R.id.firstLine);
            holder.amountTV = (TextView) convertView.findViewById(R.id.secondLine);
            holder.iconIV = (ImageView) convertView.findViewById(R.id.icon);
            convertView.setTag(holder);
        }
        else
        {
            holder = (ViewHolder)convertView.getTag();
        }
        holder.nameTV.setText(_values.get(position).get_name());
        holder.amountTV.setText(Integer.toString(_values.get(position).get_amount()));

        return convertView;
    }
}